Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{operatorDomain}/v1/admin/products/{id}/options \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "code": "<string>", "capacity": 123, "active": true } '
{ "data": { "id": "<string>", "name": "<string>", "description": "<string>", "slug": "<string>", "shortDescription": "<string>", "bookingMode": "<string>", "capacityMode": "<string>", "visibility": "<string>", "sellCurrency": "<string>", "sellAmountCents": 123, "startDate": "<string>", "endDate": "<string>", "pax": 123, "isFeatured": true } }
Create an option (e.g. room type / fare) under a product.
Staff session or API token issued by your Voyant app.
Product option create/update body.
Created option
Show child attributes